//
//  DPController.m
//  DayPhoto
//
//  Created by Cho Hunje on 11. 9. 7..
//  Copyright (c) 2011 hun2family.com. All rights reserved.
//

#import "DPController.h"
#import <dispatch/dispatch.h>

const char *DPQueueID = "DayPhoto Job Queue";

@implementation DPController

+ (DPController *)sharedController
{
    static DPController *instance = nil;
    if (instance == nil)
    {
        instance = [[DPController alloc] init];
    }
    
    return instance;
}

- (id)init
{
    self = [super init];
    if (self)
    {
        dpQueue = dispatch_queue_create(DPQueueID, NULL);
        [self loadAssets];
    }
    return self;
}

- (void)dealloc
{
    dispatch_release(dpQueue);
}

- (void)loadAssets
{
    ALAssetsLibrary *library = [[ALAssetsLibrary alloc] init];
    
    [library enumerateGroupsWithTypes:ALAssetsGroupAlbum | ALAssetsGroupSavedPhotos
                           usingBlock:^(ALAssetsGroup *group, BOOL *stop) {
                               [group enumerateAssetsUsingBlock:^(ALAsset *result, NSUInteger index, BOOL *stop) {
                                   NSLog(@"%d, %@", index, result);
                               }];
                           } 
                         failureBlock:^(NSError *error) {
                             ;
                         }];
}

@end
